Subject: Re: Cygwin Python -- Thread or not to thread...
From: Jason Tishler <[email-masked]>
To: Tim Peters <[email-masked]>
Cc: Cygwin <[email-masked]>, Python-List <[email-masked]>
Date: Wed, 26 Sep 2001 08:29:43 -0400

On Tue, Sep 25, 2001 at 05:17:47PM -0400, Tim Peters wrote:
> [Jason Tishler]
> >     Should I still release my next Cygwin Python distribution with
> >     threading enabled?  Or, should I continue to disabled threading
> >     until the above known Cygwin pthreads issue is resolved?

Thanks to all that responded -- I appreciate your input, time, and help.

> > The more conservative approach is to continue to release Cygwin Python
> > with threading disabled until the known Cygwin pthreads issue is
> > resolved.
> 
> AKA "the user-friendly" approach.  Spell out in the README that users who
> don't mind losing their hair are encouraged to build and test with thread
> support enabled.  A few will, most won't, and that's how it should be when
> it's known to be buggy; the good news is that the few who do try it will be
> much more likely to be motivated and helpful.

I will heed Tim's (and others) advice and continue to distribute Cygwin
Python *without* threading until all known Cygwin pthreads issues have
been resolved.

As a consolation prize, I offer the following enhancements to my Cygwin
Python distribution in lieu of threading:

    _tkinter module
    resource module
    time.strftime fix
    select.poll fix

Thanks,
Jason

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/